Bug 521142 - make check fails on ppc64 (and possibly ppc)
Summary: make check fails on ppc64 (and possibly ppc)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: octave
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 20:26 UTC by Orion Poplawski
Modified: 2010-11-09 23:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-09 23:10:25 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2009-09-03 20:26:12 UTC
Description of problem:

Fixed test scripts:
  test_args.m ............................................ PASS   26/26  
.....
  test_sparse.m ..........................................panic: Segmentation fault -- stopping myself...
make[2]: *** [check] Segmentation fault

Full log:

http://koji.fedoraproject.org/koji/getfile?taskID=1653016&name=build.log

Version-Release number of selected component (if applicable):
3.2.2-2

Entering here for tracking.  I hope to take a look at it soon.

Comment 1 Dmitri A. Sergatskov 2009-09-03 22:20:03 UTC
The lapack/atlas libraries on Fedora 11 and rawhide are suspect
(they are definitely broken on i386). Sometime ago somebody decided that
some files from lapack that should be compiled without optimization
(per lapack's docs) can be compiled with Os. This used to work for a while
but now gcc got more aggressive and breaks those on some platforms
(at least on i386 and may be on ppc).

Comment 2 Orion Poplawski 2009-09-04 16:10:58 UTC
I don't believe lapack is involved here.  Seems like the complex formatting string is not getting initialized properly.

gdb shows:

#0  0x00000400037fe490 in ._ZNKSt17__gnu_cxx_ldbl1287num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE15_M_insert_floatIdEES4_S4_RSt8ios_baseccT_ ()
   from /usr/lib64/libstdc++.so.6
#1  0x00000400037fe78c in ._ZNKSt17__gnu_cxx_ldbl1287num_putIcSt19ostreambuf_iteratorIcSt11char_traitsIcEEE6do_putES4_RSt8ios_basecd () from /usr/lib64/libstdc++.so.6
#2  0x0000040003811f20 in ._ZNSo9_M_insertIdEERSoT_ ()
   from /usr/lib64/libstdc++.so.6
#3  0x000004000070d100 in operator<< (__f=<value optimized out>,
    this=<value optimized out>)
    at /usr/lib/gcc/ppc64-redhat-linux/4.4.1/../../../../include/c++/4.4.1/ostream:210
#4  operator<< (__f=<value optimized out>, this=<value optimized out>)
    at pr-output.cc:228
#5  0x00000400007108bc in pr_any_float (fmt=0x400011e4838, os=..., d=0,
    fw=<value optimized out>) at pr-output.cc:1395
#6  0x0000040000711ff0 in pr_imag_float (fw=<value optimized out>,
    d=<value optimized out>, os=<value optimized out>) at pr-output.cc:1413
#7  pr_complex (fw=<value optimized out>, d=<value optimized out>,
    os=<value optimized out>) at pr-output.cc:1443
#8  0x00000400007137c8 in octave_print_internal (os=..., c=...) at pr-output.cc:1959
#9  0x00000400009bb364 in octave_base_sparse<SparseComplexMatrix>::print_raw (
    this=0x1012d1b8, os=..., pr_as_read_syntax=false) at ov-base-sparse.cc:314
#10 0x00000400009b711c in octave_base_sparse<SparseComplexMatrix>::print (
    this=<value optimized out>, os=<value optimized out>,
    pr_as_read_syntax=<value optimized out>) at ov-base-sparse.cc:257
#11 0x000004000070f19c in print (pr_as_read_syntax=<value optimized out>,
    os=<value optimized out>, this=<value optimized out>) at ov.h:950
#12 Fdisp (pr_as_read_syntax=<value optimized out>, os=<value optimized out>,
    this=<value optimized out>) at pr-output.cc:3298
#13 0x00000400008c9ff0 in octave_builtin::do_multi_index_op (this=0x101b3078,
    nargout=1, args=...) at ov-builtin.cc:107
#14 0x00000400008c981c in octave_builtin::subsref (this=0x101b3078, type=...,
    idx=..., nargout=1) at ov-builtin.cc:55
#15 0x00000400008cad24 in octave_builtin::subsref (this=<value optimized out>,
    type=<value optimized out>, idx=<value optimized out>) at ov-builtin.h:56
#16 0x0000040000866180 in octave_value::subsref (this=<value optimized out>,
    type=<value optimized out>, idx=<value optimized out>,
    nargout=<value optimized out>) at ov.cc:1059
#17 0x00000400009f19f0 in tree_index_expression::rvalue (
    this=<value optimized out>, nargout=1) at pt-idx.cc:387
#18 0x00000400009ed17c in tree_index_expression::rvalue1 (
    this=<value optimized out>, nargout=<value optimized out>) at pt-idx.cc:398
#19 0x00000400009ca92c in tree_simple_assignment::rvalue1 (this=0x10a2a9d0)
    at pt-assign.cc:201
#20 0x00000400009df218 in tree_evaluator::visit_statement (
    this=<value optimized out>, stmt=<value optimized out>) at pt-eval.cc:695
#21 0x0000040000a0dbc8 in tree_statement::accept (this=<value optimized out>,
    tw=<value optimized out>) at pt-stmt.cc:152
(gdb) up 4
#4  operator<< (__f=<value optimized out>, this=<value optimized out>)
    at pr-output.cc:228
228       os << pff.val;
Current language:  auto
The current source language is "auto; currently c++".
(gdb) list
223
224       std::ios::fmtflags oflags =
225         os.flags (static_cast<std::ios::fmtflags>
226                   (pff.f.fmt | pff.f.up | pff.f.sp));
227
228       os << pff.val;
229
230       os.flags (oflags);
231
232       return os;
(gdb) print pff.val
Cannot access memory at address 0x8
(gdb) up
#5  0x00000400007108bc in pr_any_float (fmt=0x400011e4838, os=..., d=0,
    fw=<value optimized out>) at pr-output.cc:1395
1395            os << pr_formatted_float (*fmt, d);
(gdb) print d
$3 = 0
(gdb) print fmt
$4 = (const float_format *) 0x400011e4838
(gdb) print *fmt
$5 = {fw = 2147483647, prec = -2147483648, fmt = 0, up = 0, sp = 0}

So here we see that fmt has an address, but is uninitialized (fmt.fmt is null)


#9  0x00000400009bb364 in octave_base_sparse<SparseComplexMatrix>::print_raw (
    this=0x1012d1b8, os=..., pr_as_read_syntax=false) at ov-base-sparse.cc:314
314                   octave_print_internal (os, matrix.data(i), pr_as_read_syntax);
(gdb) print matrix.data(i)
$8 = (std::complex<double> &) @0x10c54e30: {_M_value = 1 + -1 * I}

Comment 3 Rakesh Pandit 2009-11-10 13:49:49 UTC
Is this still a problem because I see 3.2.3 has make check re added ?

Thanks Orion,

Comment 4 Orion Poplawski 2009-11-10 15:16:03 UTC
It probably still fails on ppc64, but since it is now a secondary arch, I re-added to the check.

Comment 5 Bug Zapper 2009-11-16 11:58:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-11-04 10:13:10 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.